/* =========================================
   VARIÁVEIS E GLOBAIS
   ========================================= */
:root {
    --primary-color: #c41e1d;
    --secondary-color: #c41e1d;
    --third-color: #c41e1d;
    --contrast-color: #cbe4ff;
    --text-color: #0a1c33;
    --button-color: #0c6bd4;
    --primary-color-dark: #072e59;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Nunito Sans", sans-serif;
}

body {
    font-family: Jost, sans-serif;
    overflow-x: hidden;
}

h1, h2, h3, h4, h5, h6 {
    font-family: "Nunito Sans", sans-serif;
}

a {
    transition: color 0.6s;
    color: #348d5a;
    text-decoration: none;
}

a:hover {
    color: #348d5a;
}

.text-white {
    color: #fafafa !important;
}

a.text-white:hover,
a.text-white:focus,
a.text-white.active {
    color: #c7c7c7 !important;
}

/* =========================================
   HEADLINE E COUNTDOWN (Strip3)
   ========================================= */
.title-claim {
    font-size: 37px;
    font-weight: 700;
    max-width: 900px;
    margin: 0 auto;
}

.strip3 {
    padding: 0;
    color: #fff;
    margin-bottom: 0px;
}

ul.strip3-list {
    display: flex;
    justify-content: center;
    text-align: center;
    flex-wrap: wrap;
    margin: 0;
}

ul.strip3-list li {
    padding: 0 22px;
    position: relative;
    font-size: 20px;
    line-height: 28px;
    color: #fff;
    text-align: center;
    list-style: none;
    margin-top: 1rem;
}

ul.strip3-list li::after {
    content: "";
    position: absolute;
    right: 0;
    top: 6px;
    height: 18px;
    background: #e6dede;
    width: 2px;
}

ul.strip3-list li:last-child::after {
    display: none;
}

.hourglass {
    display: inline-block;
    vertical-align: middle;
    margin: -5px 8px 0 0;
    animation: rotateP 2.5s ease-in-out forwards infinite;
    max-width: 25px;
    filter: invert(1);
}

@keyframes rotateP {
    0% { transform: rotate(0); }
    50% { transform: rotate(180deg); }
    100% { transform: rotate(180deg); }
}

.countdown {
    display: inline-block;
    font-size: 20px;
    line-height: 28px;
    color: #fff;
}

/* =========================================
   CAIXA DE FRETE (ShipBx)
   ========================================= */
.shipbx {
    width: 710px;
    height: 90px;
    border: 2px solid var(--secondary-color);
    border-radius: 14px;
    margin: 0 auto 10px auto;
    display: block;
    position: relative;
    padding: 17px 25px 15px 150px;
    color: #000;
}

.shipiconbx {
    background: var(--secondary-color);
    padding: 19px 5px 19px 7px;
    border-radius: 12px 0 0 12px;
    position: absolute;
    left: 0;
    top: 0;
}

.shipiconbx img {
    margin: 0 auto;
    display: block;
    max-width: 100%;
}

.shipiconbx::after {
    content: "";
    position: absolute;
    right: -13px;
    top: 0;
    width: 0;
    height: 0;
    border-top: 45px solid transparent;
    border-left: 15px solid var(--secondary-color);
    border-bottom: 45px solid transparent;
}

.shipbx-txt1 {
    font-size: 22px;
    line-height: 30px;
    text-align: left;
    margin: 0;
    font-weight: 700;
}

.shipbx-txt1 .red {
    color: var(--secondary-color);
    font-weight: 700;
}

.shipbx-txt2 {
    font-size: 16px;
    line-height: 24px;
    text-align: left;
}

/* =========================================
   PRODUTOS E PREÇOS
   ========================================= */
.products {
    position: relative;
}

.products .item {
    display: block;
    text-decoration: none;
    text-align: center;
    padding: 3px;
    color: var(--text-color);
    background-color: white;
    border-radius: 1em;
    overflow: hidden;
    border: 2px solid var(--secondary-color);
}

.products .item:hover {
    scale: 1.025;
}

.products .item .wrapper {
    border-radius: 18px;
    overflow: hidden;
}

.products .item .item-header {
    grid-area: title;
    padding: 0.25em 0.5em;
    background-color: var(--secondary-color);
    font-weight: 800;
}

.item-img {
    position: relative;
}

.products .item .item-img {
    grid-area: img;
}

.products .item .item-img .supply {
    padding: 1em 0.5em;
    text-align: center;
    line-height: 1;
}

.products .item .item-img .supply b {
    display: block;
    font-size: 1.75em;
}

.products .item .item-img img {
    max-height: 200px;
    max-width: 100%;
}

.products .item .item-info {
    grid-area: info;
    text-shadow: 1px 1px 0px rgba(0, 0, 0, 0.2);
}

.products .item .item-info .price {
    display: flex;
    text-align: start;
    gap: 0.25em;
    width: fit-content;
    margin: 0 auto;
    align-items: center;
    line-height: 1;
    text-shadow: 1px 1px 0px rgba(0, 0, 0, 0.2);
}

.products .item .item-info .price b {
    font-size: 4em;
    text-align: center;
}

.products .item .item-info .price sup {
    font-size: 0.6em;
    top: -0.5em;
}

.products .item .item-info .price span {
    font-weight: 800;
}

.products .item .item-info .savings {
    font-size: 0.8em;
    font-weight: 800;
}

.products .item .item-info .savings > div {
    padding: 0.5em;
    align-items: center;
    justify-content: center;
    border-bottom: 1px dashed rgba(0, 0, 0, 0.4196078431);
}

.products .item .item-info .savings > div:first-child {
    border-top: 1px dashed rgba(0, 0, 0, 0.4196078431);
    color: #000;
}

.products .item .item-info .savings > div:nth-child(2) {
    display: none;
}

.products .item .item-buy {
    grid-area: footer;
}

.products .item .item-buy .card-flags {
    max-width: 220px;
    margin-bottom: 0.5em;
}

.products .item .item-totals {
    grid-area: totals;
    font-size: 0.9em;
}

.products .item .item-totals .totals s {
    text-decoration-color: red;
    text-decoration-thickness: 2px;
}

.products .item .item-totals .shipping {
    font-weight: 800;
}

.products .item .item-totals .shipping span {
    color: #dc3545;
}

/* Variação Promo (O Melhor Valor) */
.products .item.promo {
    color: white;
    background-color: white;
    border: 2px solid var(--primary-color);
}

.products .item.promo .wrapper {
    background-image: radial-gradient(circle at 50% 50%, var(--primary-color), var(--secondary-color)),
                      linear-gradient(to bottom, var(--primary-color), var(--secondary-color));
}

.products .item.promo .item-header {
    grid-area: header;
    background-color: white;
    color: var(--primary-color);
    text-shadow: none;
}

.products .item.promo .item-img img {
    max-height: 240px;
    max-width: 100%;
}

.products .item.promo .item-info .savings > div {
    color: white;
    border-bottom: 1px dashed rgba(255, 255, 255, 0.4196078431);
}

.products .item.promo .item-info .savings > div:first-child {
    border-top: 1px dashed rgba(255, 255, 255, 0.4196078431);
}

.products .item.promo .item-info .savings > div:nth-child(2) {
    display: block;
}

.products .item.promo .item-totals .shipping span {
    color: var(--contrast-color);
}

/* Botão de Compra */
.buy-button {
    text-decoration: none;
    display: block;
    font-size: 1.5rem;
    padding: 0.8rem 0.5rem;
    text-transform: uppercase;
    background: linear-gradient(0deg, #1ca11e, #0c9c0e);
    margin: 1rem;
    border-radius: 0.5rem;
    cursor: pointer;
    transition: 0.3s;
}

.buy-button:hover {
    box-shadow: 0px 4px 10px var(--contrast-color);
    transform: scale(1.05);
}

.buy-button-label {
    background: linear-gradient(180deg, #fff, #fff);
    font-family: Impact, Haettenschweiler, "Arial Narrow Bold", sans-serif;
    background-clip: text;
    -webkit-background-clip: text;
    text-align: center;
    -webkit-text-fill-color: transparent;
}

/* =========================================
   MEDIA QUERIES (RESPONSIVIDADE)
   ========================================= */
@media (min-width: 976px) {
    .products .item {
        margin-left: 10px;
        margin-right: 10px;
    }
}

@media (max-width: 991px) {
    .title-claim {
        font-size: 30px;
    }
    .strip3 {
        margin-bottom: 0px;
    }
    ul.strip3-list {
        padding-left: 0;
    }
    ul.strip3-list li {
        font-size: 14px;
        line-height: 20px;
    }
    ul.strip3-list li::after {
        display: none;
    }
    .shipbx {
        width: 370px;
        max-width: 100%;
        height: auto;
        padding: 10px 5px 10px 98px;
    }
    .shipbx-txt1 {
        font-size: 18px;
        line-height: 26px;
    }
    .shipbx-txt2 {
        font-size: 13px;
        line-height: 21px;
    }
    .shipiconbx {
        height: 100%;
        width: 70px;
    }
    .shipiconbx img {
        width: 65px;
        position: absolute;
        display: block;
        top: calc(50% - 20px);
    }
    .shipiconbx::after {
        border-top: 58px solid transparent;
        border-left: 15px solid var(--secondary-color);
        border-bottom: 58px solid transparent;
        top: calc(50% - 60px);
    }
}

@media (max-width: 767px) {
    .products .item .wrapper {
        grid-template-areas: "header header" "title info" "img info" "img totals" "footer footer";
        grid-template-columns: 1fr 1fr;
        align-items: center;
        column-gap: 0.5em;
        padding: 0.5em 0;
    }
    .products .item.promo .wrapper {
        grid-template-areas: "header header" "img info" "img totals" "footer footer";
    }
    .products .item .item-header {
        background-color: transparent;
        font-size: 1.4em;
        padding: 0;
    }
    .products .item.promo .item-header {
        margin: -0.55em 0 0.5em;
        padding: 0.25em;
    }
    .products .item .item-img .supply {
        font-size: 1em;
        padding: 0;
    }
    .products .item .item-img .supply b {
        font-size: 1.25em;
    }
    .products .item .item-info .price b {
        font-size: 5em;
        letter-spacing: -0.06em;
    }
    .products .item .item-info .price span {
        font-size: 0.8em;
    }
    .products .item .item-info .savings {
        font-size: 1em;
    }
    .products .item .item-info .savings > div {
        padding: 0.5em 0;
    }
    .products .item .item-buy .card-flags {
        display: none;
    }
    .products .item .item-totals {
        font-size: 1em;
    }
    .buy-button {
        padding: 0.85em;
        font-size: 1.15em;
    }
}